WinRas.RASPPPIP (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinRas, class: RASPPPIP

Package com.sun.jna.platform.win32

# Class WinRas.RASPPPIP

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinRas.RASPPPIP

Direct Known Subclasses:
  `WinRas.RASPPPIP.ByReference`

Enclosing interface:
  WinRas

@FieldOrder({"dwSize","dwError","szIpAddress","szServerIpAddress","dwOptions","dwServerOptions"}) public static class WinRas.RASPPPIP extends Structure
The RASPPPIP structure contains the result of a PPP IP projection operation.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinRas.RASPPPIP.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwError`
  A value that specifies the result of the PPP control protocol negotiation.
  `int`
  `dwOptions`
  A value that specifies IPCP options for the local client.
  `int`
  `dwServerOptions`
  A value that specifies IPCP options for the remote server.
  `int`
  `dwSize`
  A value that specifies the size, in bytes, of the structure.
  `char[]`
  `szIpAddress`
  An array that contains a null-terminated string that is the client's IP address on the RAS connection.
  `char[]`
  `szServerIpAddress`
  An array that contains a null-terminated string that is the server's IP address on the RAS connection.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RASPPPIP()`
  `RASPPPIP(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwSize

    public int dwSize
    A value that specifies the size, in bytes, of the structure. This member must be set before it is used in a function call.

  - ### dwError

    public int dwError
    A value that specifies the result of the PPP control protocol negotiation. A value of zero indicates success. A non-zero value indicates failure, and indicates the fatal error that occurred during the control protocol negotiation.

  - ### szIpAddress

    public char[] szIpAddress
    An array that contains a null-terminated string that is the client's IP address on the RAS connection. This address string has the form a.b.c.d.

  - ### szServerIpAddress

    public char[] szServerIpAddress
    An array that contains a null-terminated string that is the server's IP address on the RAS connection. This string is in a.b.c.d form. PPP does not require that servers provide this address, but servers will consistently return the address anyway. Other PPP vendors may not provide the address. If the address is not available, this member returns an empty string, "".

  - ### dwOptions

    public int dwOptions
    A value that specifies IPCP options for the local client.

  - ### dwServerOptions

    public int dwServerOptions
    A value that specifies IPCP options for the remote server.

- ## Constructor Details

  - ### RASPPPIP

    public RASPPPIP()

  - ### RASPPPIP

    public RASPPPIP(Pointer memory)